<div class="block" id="voting-widget">
	<h4><div class="i">
		<?= __('vote_me_title') ?>
	</div></h4>
	<? if ( ! $this->show_result ): ?>
	<div class="ajax-container">
		<div class="gotm-widget-bg ">
			<form action="<?= $this->getLink('voting-widget', array('showname' => $this->escort->showname, 'escort_id' => $this->escort->id)) ?>" method="post">
				<div class="gotm-widget-text"><?= __('vote_me_text') ?></div>
				<button class="btn-gotm-red"><i><?= __('vote_me_button') ?></i></button>
			</form>
		</div>
	</div>

	<script type="text/javascript">
		window.addEvent('domready', function () {
			var overlay = new Cubix.Overlay($('voting-widget'), {
				loader: _st('loader-small.gif'),
				position: '50%',
				offset: {
					left: -1, top: -1
				}
			});

			var form = $('voting-widget').getElement('form');

			form.set('send', {
				onSuccess: function (resp) {
					resp = JSON.decode(resp);

					if ( 'error' == resp.status ) {
						alert(resp.desc);
						overlay.enable();
						return;
					}

					$('voting-widget').getElement('.ajax-container').set('html', resp.html);

					overlay.enable();
				}
			}).addEvent('submit', function (e) {
				e.stop();

				if ( 'true' != Cubix.Comments.is_member ) {
					return Cubix.Popup.Show('500', '520');
				}

				overlay.disable();
				this.send();
			});


		});
	</script>
	<? else: ?>
		<?= $this->render('widgets/voting/voted.phtml') ?>
	<? endif ?>
</div>
